Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface Constructor

All Superinterfaces:
  Action, Comparable, EventSource, NamedIndexedObject, NamedObject, Serializable, WorkAction

    public interface Constructor

extends WorkAction

Represents a constructor for the parent TaskPlan definition. A constructor is a named entity that the task creation client needs to specify while creating a task instance. The constructor specifies what properties the creator needs to supply in order to create the task instance. It also specifies once the instance is created where in the state model to start the task at. Thus the constructor contains reference to properties and a start-step id. It can contain ZERO property references which means nothing is needed to construct a task instance.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.wli.worklist.api.taskplan.WorkAction
`WorkAction.Event`

Method Summary
`Step` | `getStartStep()` This is equivalent to calling getNextStep().
`TaskPlan` | `getTaskPlan()` Get the parent task plan for the constructor.
`void` | `setStartStep(Step startStep)` This is equivalent to calling setNextStep().

Methods inherited from interface com.bea.wli.worklist.api.taskplan.WorkAction
`getNextStep, getNextStepName, getSourceActionConnector, setNextStep`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.Action
`addPropertyRef, addPropertyRef, getActionContainer, getPropertyNames, getPropertyRefs, removePropertyRef, removePropertyRef, setPropertyRefs`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedIndexedObject
`getIndex, setIndex`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedObject
`getDescription, getName, setDescription`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getTaskPlan

    TaskPlan getTaskPlan()

  Get the parent task plan for the constructor.

### getStartStep

    Step getStartStep()

  This is equivalent to calling getNextStep().

### setStartStep

    void setStartStep(Step startStep)

  This is equivalent to calling setNextStep().

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD